<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.sentilo.agent</groupId>
	<artifactId>sentilo-agent-relational</artifactId>	
	<name>sentilo-agent-relational</name>
	
	<parent>
		<artifactId>sentilo-parent-pom</artifactId>
		<groupId>org.sentilo</groupId>
		<version>1.9.0</version>		
	</parent>

	<properties>		
		<hibernate.version>3.2.1.ga</hibernate.version>				
		<oracle.jdbc.driver.version>11.2.0.1.0</oracle.jdbc.driver.version>			
		<postgresql.jdbc.driver.version>42.3.3</postgresql.jdbc.driver.version>
		<mysql.jdbc.driver.version>5.1.15</mysql.jdbc.driver.version>
		<tomcat.jdbc.version>7.0.47</tomcat.jdbc.version>
	</properties>
		  	
	<build>
		<plugins>			
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.2.1</version>
				<configuration>
					<mainClass>org.sentilo.agent.common.server.SentiloAgentServer</mainClass>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>appassembler-maven-plugin</artifactId>
				<version>1.3</version>
				<configuration>
					<programs>
						<program>
							<mainClass>org.sentilo.agent.common.server.SentiloAgentServer</mainClass>
							<name>sentilo-agent-relational-server</name>
							<commandLineArguments>				            
				              <commandLineArgument>relational-context.xml</commandLineArgument>
				            </commandLineArguments>	
							<jvmSettings>
								<systemProperties>
				                  <systemProperty>user.timezone=UTC</systemProperty>
				                  <systemProperty>file.encoding=UTF-8</systemProperty>				                
				                </systemProperties>			                
				                <extraArguments>
				                  <extraArgument>-Dspring.profiles.active=${spring.profiles.active}</extraArgument>	
				                  <extraArgument>-Dsentilo.agent.name=RELATIONAL</extraArgument>		                  
				                </extraArguments>
				            </jvmSettings>
						</program>						
					</programs>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<dependencies>	
		<dependency>
			<groupId>org.sentilo.agent</groupId>
			<artifactId>sentilo-agent-common</artifactId>
			<version>${platform.version}</version>
		</dependency>											
		<!-- Dependencies for relational DB -->
	    <dependency>
	    	<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>	
		<dependency>
	    	<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>			
		</dependency>		   
	    <dependency>
	        <groupId>mysql</groupId>
	        <artifactId>mysql-connector-java</artifactId>
	        <version>${mysql.jdbc.driver.version}</version>
	    </dependency>
	    <!--  
	          there is NO public Maven repository provides Oracle JDBC driver. You must install manually in your local repository
	          before uncomment this dependency, as is explained here:
	          http://www.mkyong.com/maven/how-to-add-oracle-jdbc-driver-in-your-maven-local-repository/ 
	    -->
	    <!-- dependency>
			<groupId>com.oracle</groupId>
			<artifactId>ojdbc6</artifactId>
			<version>${oracle.jdbc.driver.version}</version>
		</dependency -->
	    <!-- 
		  PostgreSQL JDBC driver
	    -->
	    <!-- dependency>
		<groupId>org.postgresql</groupId>
		<artifactId>postgresql</artifactId>
		<version>${postgresql.jdbc.driver.version}</version>
	    </dependency -->
	    <dependency>
			<groupId>org.apache.tomcat</groupId>
			<artifactId>tomcat-jdbc</artifactId>
			<version>${tomcat.jdbc.version}</version>
		</dependency>		    
	</dependencies>
</project>
